सवाल लॉन्च करने के बाद जूनियर क्रैशिंग


मैं उबंटू 13.10 x64 चला रहा हूं और जावा 6 के 64 और 32 बिट संस्करण स्थापित हैं। मैंने यह कॉन्फ़िगर किया है कि नेटवर्क कनेक्ट करते समय यह 32 बिट संस्करण चलाएगा और किसी और के लिए 64 बिट संस्करण चलाएगा।

साइट पर जाने पर मुझे नेटवर्क कनेक्ट शुरू करने के लिए मिल सकता है (मेरे पास फ़ायरफ़ॉक्स और आईसीडटेटा-प्लगइन का x32 संस्करण है), लेकिन इसे ठीक होने के ठीक बाद। नेटवर्क कनेक्ट पर टाइमर कभी-कभी 00:00:01 मिलेगा, लेकिन क्रैश होने से पहले 00:00:02 कभी नहीं।

त्रुटि रिपोर्ट:

The crashed program seems to use third-party or local libraries:
/home/user/.juniper_networks/network_connect/libncui.so
It is highly recommended to check if the problem persists without those first.
Do you want to continue the report process anyway?

त्रुटि 32 बिट जावा के साथ होती है, 64 बिट के साथ नहीं। मुझे पता है कि libncui.so केवल 32 बिट है, लेकिन मुझे नहीं लगता कि यह मुद्दा है क्योंकि जब मैं लॉन्च करता हूं तो नेटवर्क कनेक्ट जीयूआई प्राप्त करता है।

क्या किसी के पास कोई फिक्स है?


1
2017-12-18 15:24


मूल




जवाब:


मेरे पास आपके विशेष सेटअप के लिए कोई फिक्स नहीं है। हालांकि, मैंने जिस सेटअप में वर्णन किया है 12.04 पर जूनियर सेटअप 64 बिट उबंटू 13.10 में भी काम करता है।

अपने सेटअप से अपने सेटअप में जाने के लिए कदम:

  1. फ़ोल्डर हटाएं /home/user/.juniper_networks ताजा शुरू करने के लिए।
  2. सभी जावा 6 हटाएं (Openjdk *)। 32 बिट फ़ायरफ़ॉक्स निकालें, और 64 बिट फ़ायरफ़ॉक्स स्थापित करें अगर स्थापित नहीं है।
  3. 64 बिट जावा 7, और संबंधित icedtea स्थापित करें। यह होना चाहिए डिफ़ॉल्ट जावा
  4. 32 बिट जावा स्थापित करें 7. 32 बिट icedtea के लिए कोई ज़रूरत नहीं है। यह होना चाहिए नहीं डिफ़ॉल्ट हो।  जूनिपर को उन फ़ाइलों को मिलेगा जिन्हें इसकी आवश्यकता है और इसका उपयोग करें 64 बिट फ़ायरफ़ॉक्स और 64 बिट icedtea।

उम्मीद है की यह मदद करेगा


0
2017-12-18 15:51



विचार के लिए धन्यवाद, मैंने x64 से libnpjp2.so का उपयोग करके और ~ / .mozzila / plugins में x32 का उपयोग करके यह कोशिश की, जिसमें से कोई भी काम नहीं कर रहा था। लॉन्च करने के बाद नेटवर्क कनेक्ट अभी भी दुर्घटनाग्रस्त है। - sparks
आपका स्वागत है। यह .juniper_networks को हटाने के लिए उपयोगी हो सकता है और जब आप फिर से कनेक्ट करने का प्रयास करते हैं तो जूनियर को फिर से बना दें। - user68186
तो, मैं आपका लिंक जांचना भूल गया, और यह दुर्घटनाग्रस्त हो गया, धन्यवाद। स्वयं को ध्यान दें: यह मानना ​​बुरा है। - sparks
धन्यवाद! क्या आप मुझे बता सकते हैं कि लिंक में कौन सा निर्देश दुर्घटनाग्रस्त हो गया है? इसके बाद मैं इसे शामिल करने के लिए इस उत्तर को संपादित करूँगा, ताकि अन्य को लिंक का पालन न करना पड़े। - user68186
एक बार मैंने आपके 64 बिट निर्देशों को पूरा करने के बाद काम किया, सभी openjdk को हटा दिया * और केवल openjdk-7 दोनों x64 और x86 को पुनर्स्थापित किया। अफसोस की बात है कि ऐसा लगता है कि एक बार जब सत्र बंद हो गया, तो मैंने केवल एक बार काम किया, और मैंने एक और खोलने की कोशिश की (अभी भी त्रुटियों और उन फिक्स पर भी काम कर रहा था) नेटवर्क कनेक्ट अब और नहीं रहना चाहता था। यह पुनरारंभ करने के बाद भी हुआ। मैं कल और अधिक बग फिक्सिंग करूँगा। - sparks


मुझे यह समस्या भी हुई। मैंने जूनियर की साइट से निर्देशों का पालन किया और। .Juniper_networks / में लॉग पढ़ने के बाद, मुझे पता चला कि एनसी.जर खोलने के लिए sh स्क्रिप्ट xterm खुलती है। इसे ठीक करने के लिए, आपको xterm इंस्टॉल करना होगा:

sudo apt-get install xterm

यह निश्चित रूप से सुनिश्चित करेगा कि सरमोट वास्तव में काम कर रहा है उबंटू 14.04 और लिनक्स मिंट 17. मैंने देखा है कि यह कुछ उबंटू कंप्यूटरों पर काम करता है हालांकि ... मैं webupd8team के जावा ऑरैक 8 का उपयोग डिफ़ॉल्ट और मैन्युअल रूप से जावा ऑरैकल 8 u25 32-बिट ऑरैकल साइट से मैन्युअल रूप से स्थापित कर रहा हूं।

संपादित करें 2: ताजा उबंटू 15.04 और नवीनतम 32-बिट ऑरैकल जावा 8 सीधे बॉक्स से बाहर काम करता है !!!


2
2018-01-16 20:07



इसने जूनियर नेटवर्क कनेक्ट (8.0-6-Build32195) की मूल समस्या को हल करने के बाद सीधे मेरे लिए क्रैश कर दिया - मैं 32 बिट फ़ायरफ़ॉक्स और 32 बिट जेआरई का उपयोग कर रहा हूं। - Paul Caheny


टी ज्यादातर आपकी होम निर्देशिका की समस्या है। यह एन्क्रिप्ट किया गया है, क्या मैं सही हूँ? ;) तो इसे "नोसेट्यूड" विकल्प के साथ रखा गया है, जो किसी भी SUID ऑपरेशंस को काम करने के लिए रोकता है जैसा कि आप उन्हें उम्मीद करते हैं।

समाधान: अपने एचडीडी पर कहीं और अपनी नेटवर्क-कनेक्ट निर्देशिका कॉपी करें (यानी। /opt/juniperconnect)), संपादित करें junipernc-script नई निर्देशिका को इंगित करने के लिए (कहा जाता है _jpath लिपि में /usr/local/bin/junipernc ), और फिर यह मेरे लिए काम करता है। मैं अभी भी उबंटू 14.04 एलटीएस के साथ एनसी संस्करण 7.1 का उपयोग कर रहा हूं।


0
2018-06-20 08:20





मुझे एक ही समस्या थी और यह होम निर्देशिका को एन्क्रिप्टेड होने के कारण था, जैसे एचएमएएजी ने बताया। पूरे $ HOME / .juniper_connect को एक अनएन्क्रिप्टेड स्थान पर कॉपी करने से समस्या हल हो गई है (और jipipernc.sh में _jpath चर को नए स्थान पर इंगित करने के लिए संपादित करना)। मेरा ओबंटू 14.04 64-बिट है, ओरेकल जेआरई 1.8.0_60 (32-बिट जावा 8 रनटाइम एनवी) का उपयोग कर।


0
2017-10-03 15:15